import * as Types from './json-types';
export declare const Fake: Readonly<{
    timestamp: () => string;
    userId: () => "amzn1.ask.account.FAKEACCOUNTID";
    requestId: () => "amzn1.echo-api.request.d15314a4-3a86-4d5a-90b0-5adb6a5b5ce7";
    sessionId: () => "amzn1.echo-api.session.bcea274f-0dd8-43ac-8369-e102f881b42e";
    applicationId: () => "amzn1.ask.skill.659a0b41-d887-45b0-a158-01b3d2214d5a";
    requestBody: (session: Types.Session, request: Types.Request) => Types.RequestBody;
    launchRequest: () => Types.LaunchRequest;
    intentRequest: (intent: string, slots?: any) => Types.IntentRequest;
    sessionEnded: (reason?: Types.SessionEndedReason) => Types.SessionEndedRequest;
    session: () => Types.Session;
    lambdaContext: () => Types.Context;
}>;
export declare const configure: (handler: Types.AlexaLambda, lambdaContext?: Types.Context) => (request: Types.RequestBody) => Promise<Types.ResponseBody>;
export interface Builders {
    LaunchRequest?: () => Types.LaunchRequest;
    IntentRequest?: (name: string, slots?) => Types.IntentRequest;
    SessionEndedRequest?: (reason?: Types.SessionEndedReason) => Types.SessionEndedRequest;
    Session?: () => Types.Session;
}
export declare class Session {
    private execute;
    private session;
    private builders;
    constructor(lambda: Types.AlexaLambda, builders?: Builders);
    LinkAccount(accessToken: string): this;
    LaunchSkill(): Promise<Types.ResponseBody>;
    RequestIntent(name: string, slots?: any): Promise<Types.ResponseBody>;
    EndSession(reason?: Types.SessionEndedReason): Promise<Types.ResponseBody>;
    Request(request: Types.RequestBody): Promise<Types.ResponseBody>;
}
